Subject: [alpine-aports] [PATCH 1/6] testing/gdal: new aport

From: "Trevor R.H. Clarke" <[email-masked]>
Date: Sun, 28 Feb 2016 20:54:48 -0500

http://gdal.org
a translator library for raster and vector geospatial data formats
---
 testing/gdal/APKBUILD | 54 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)
 create mode 100644 testing/gdal/APKBUILD

diff --git a/testing/gdal/APKBUILD b/testing/gdal/APKBUILD
new file mode 100644
index 0000000..4f3cd5d
--- /dev/null
+++ b/testing/gdal/APKBUILD
@@ -0,0 +1,54 @@
+# Contributor: Trevor R.H. Clarke <[email-masked]>
+# Maintainer: Trevor R.H. Clarke <[email-masked]>
+pkgname=gdal
+pkgver=2.0.2
+pkgrel=0
+pkgdesc="a translator library for raster and vector geospatial data formats"
+url="http://gdal.org"
+arch="x86_64"
+license="MIT"
+depends=""
+depends_dev="gdal"
+depends_py="gdal python"
+makedepends="giflib-dev jpeg-dev libjpeg-turbo-dev libpng-dev tiff-dev zlib-dev swig python-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc py-$pkgname:py"
+source="http://download.osgeo.org/$pkgname/$pkgver/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr
+	make -j8 || return 1
+}
+
+py() {
+        pkgdesc="$pkgname python bindings"                                                                                            
+	mkdir -p "$subpkgdir"/usr/lib
+	mkdir -p "$subpkgdir"/usr/bin
+	cd "$_builddir"/swig/python
+	python setup.py build || return 1
+	python setup.py install --prefix=/usr --root="$subpkgdir"
+        chmod a+x scripts/*
+        cp scripts/* $subpkgdir/usr/bin/
+}
+
+package() {
+	cd "$_builddir"
+	install -Dm644 LICENSE.TXT "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.TXT
+        make DESTDIR="${pkgdir}" install || return 1                                                                                  
+}
+
+md5sums="940208e737c87d31a90eaae43d0efd65  gdal-2.0.2.tar.xz"
+sha256sums="90f838853cc1c07e55893483faa7e923e4b4b1659c6bc9df3538366030a7e622  gdal-2.0.2.tar.xz"
+sha512sums="45b91834ec3b4908344d6ab29a2ffea1cfc245859e322d9630179bb811183c52cb8aaa6901c522e749ca4932b3dabb9895ca501e6c9cde6f8ff20cdfed24d778  gdal-2.0.2.tar.xz"
-- 
2.4.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: "Trevor R.H. Clarke" <[email-masked]>
Date: Sun, 28 Feb 2016 20:54:49 -0500

https://github.com/sgillies/affine
Matrices describing affine transformation of the plane.
---
 testing/py-affine/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-affine/APKBUILD

diff --git a/testing/py-affine/APKBUILD b/testing/py-affine/APKBUILD
new file mode 100644
index 0000000..14969ba
--- /dev/null
+++ b/testing/py-affine/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <[email-masked]>
+# Maintainer: Trevor R.H. Clarke <[email-masked]>
+pkgname=py-affine
+pkgver="1.2.0"
+pkgrel=0
+pkgdesc="Matrices describing affine transformation of the plane."
+url="https://github.com/sgillies/affine"
+arch="all"
+license="MIT"
+depends="python"
+makedepends="python-dev py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install affine --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3

---

---

From: "Trevor R.H. Clarke" <[email-masked]>
Date: Sun, 28 Feb 2016 20:54:50 -0500

https://github.com/click-contrib/click-plugins
An extension module for click to enable registering CLI commands via setuptools entry-points.
---
 testing/py-click-plugins/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-click-plugins/APKBUILD

diff --git a/testing/py-click-plugins/APKBUILD b/testing/py-click-plugins/APKBUILD
new file mode 100644
index 0000000..f3c89a8
--- /dev/null
+++ b/testing/py-click-plugins/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <[email-masked]>
+# Maintainer: Trevor R.H. Clarke <[email-masked]>
+pkgname=py-click-plugins
+pkgver="1.0.3"
+pkgrel=0
+pkgdesc="An extension module for click to enable registering CLI commands via setuptools entry-points."
+url="https://github.com/click-contrib/click-plugins"
+arch="all"
+license="BSD"
+depends="python py-click"
+makedepends="py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install click-plugins --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3

---

---

From: "Trevor R.H. Clarke" <[email-masked]>
Date: Sun, 28 Feb 2016 20:54:51 -0500

https://github.com/mapbox/cligj
Click params for commmand line interfaces to GeoJSON
---
 testing/py-cligj/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-cligj/APKBUILD

diff --git a/testing/py-cligj/APKBUILD b/testing/py-cligj/APKBUILD
new file mode 100644
index 0000000..d5b6a86
--- /dev/null
+++ b/testing/py-cligj/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <[email-masked]>
+# Maintainer: Trevor R.H. Clarke <[email-masked]>
+pkgname=py-cligj
+pkgver="0.4.0"
+pkgrel=0
+pkgdesc="Click params for commmand line interfaces to GeoJSON"
+url="https://github.com/mapbox/cligj"
+arch="all"
+license="BSD"
+depends="python py-click"
+makedepends="python-dev py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install cligj --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3

---

---

From: "Trevor R.H. Clarke" <[email-masked]>
Date: Sun, 28 Feb 2016 20:54:52 -0500

https://github.com/mapbox/rasterio
Fast and direct raster I/O for use with Numpy and SciPy
---
 testing/py-rasterio/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/py-rasterio/APKBUILD

diff --git a/testing/py-rasterio/APKBUILD b/testing/py-rasterio/APKBUILD
new file mode 100644
index 0000000..5eaafbc
--- /dev/null
+++ b/testing/py-rasterio/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Trevor R.H. Clarke <[email-masked]>
+# Maintainer: Trevor R.H. Clarke <[email-masked]>
+pkgname=py-rasterio
+pkgver="0.31.0"
+pkgrel=0
+pkgdesc="Fast and direct raster I/O for use with Numpy and SciPy"
+url="https://github.com/mapbox/rasterio"
+arch="all"
+license="BSD"
+depends="python py-numpy py-snuggs py-enum34 py-click-plugins py-affine py-cligj gdal"
+makedepends="py-pip python-dev py-numpy-dev gdal-dev"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install rasterio --no-deps --root "$pkgdir"
+}
-- 
2.4.3

---

---

From: "Trevor R.H. Clarke" <[email-masked]>
Date: Sun, 28 Feb 2016 20:54:53 -0500

https://github.com/mapbox/snuggs
Snuggs are s-expressions for Numpy
---
 testing/py-snuggs/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-snuggs/APKBUILD

diff --git a/testing/py-snuggs/APKBUILD b/testing/py-snuggs/APKBUILD
new file mode 100644
index 0000000..71667b9
--- /dev/null
+++ b/testing/py-snuggs/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <[email-masked]>
+# Maintainer: Trevor R.H. Clarke <[email-masked]>
+pkgname=py-snuggs
+pkgver="1.3.1"
+pkgrel=0
+pkgdesc="Snuggs are s-expressions for Numpy"
+url="https://github.com/mapbox/snuggs"
+arch="all"
+license="MIT"
+depends="python py-numpy py-click py-parsing"
+makedepends="python-dev py-numpy-dev py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install snuggs --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3

---